Skip to main content

Pincode Serviceability API:

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/serviceability_check
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/serviceabilty_check' \
--header 'rapidshyp-token:HQ$f**********oZ' \
--header 'Content-Type: application/json' \
--data '{
"Pickup_pincode": "201301",
"Delivery_pincode": "201301",
"cod": true,
"total_order_value": 2000,
"weight": 1
}'
Request ParametersData TypeRemarkValidation
Pickup_pincodeMandatoryPostcode from where the order will be picked.6 digit pincode
Delivery_pincodeMandatoryPostcode where the order will be delivered.6 digit pincode
codMandatoryTrue in case of COD order and false in case of prepaid order.
total_order_valueMandatoryThe price of the order shipment in rupees.
weightMandatoryThe weight of shipment in kgs.

Response:

JSON

{
"status": true,
"remark": "Success",
"serviceable_courier_list": [
{
"courier_code": "6001",
"courier_name": "BlueDart Express",
"parent_courier_name": "BlueDart",
"cutoff_time": "14:00",
"freight_mode": "Surface",
"max_weight": 5000.0,
"min_weight": 1.0,
"total_freight": 11.111,
"edd": "17-09-2025",
"epd": null
},
{
"courier_code": "7001",
"courier_name": "Ekart Surface",
"parent_courier_name": "Ekart",
"cutoff_time": "14:00",
"freight_mode": "Surface",
"max_weight": 5000.0,
"min_weight": 1.0,
"total_freight": 91.8,
"edd": "17-09-2025",
"epd": null
}
]
}